using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FastReport.Export.Image;
using FastReport.Export.RichText;
using FastReport.Export.Xml;
using FastReport.Export.Html;
using FastReport.Export.Mht;
using FastReport.Export.Odf;
using FastReport.Export.Pdf;
using FastReport.Export.Csv;
using FastReport.Export.Dbf;
using FastReport.Export.XAML;
using FastReport.Export.Svg;
using FastReport.Export.Ppml;
using FastReport.Export.PS;
using FastReport.Export.BIFF8;
using FastReport.Export.OoXML;
using FastReport.Export.Json;
using FastReport.Export.LaTeX;
using FastReport.Export.Text;
using FastReport.Export.Zpl;

namespace FastReport.Utils
{
    partial class ExportsOptions
    {

        public List<ExportsTreeNode> DefaultExports()
        {
            List<ExportsTreeNode> defaultMenu = new List<ExportsTreeNode>();

            defaultMenu.Add(new ExportsTreeNode("Pdf", typeof(PDFExport), 201, true));
            defaultMenu.Add(new ExportsTreeNode("RichText", typeof(RTFExport), 190, true));
            defaultMenu.Add(new ExportsTreeNode("Xlsx", typeof(Excel2007Export), 191, true));
            defaultMenu.Add(new ExportsTreeNode("Xls", typeof(Excel2003Document), 191, true));
            defaultMenu.Add(new ExportsTreeNode("Docx", typeof(Word2007Export), 190, true));
            defaultMenu.Add(new ExportsTreeNode("Pptx", typeof(PowerPoint2007Export), true));
            defaultMenu.Add(new ExportsTreeNode("Ods", typeof(ODSExport), true));
            defaultMenu.Add(new ExportsTreeNode("Odt", typeof(ODTExport), true));
            defaultMenu.Add(new ExportsTreeNode("Xml", typeof(XMLExport), true));
            defaultMenu.Add(new ExportsTreeNode("Xaml", typeof(XAMLExport), true));
            defaultMenu.Add(new ExportsTreeNode("Html", typeof(HTMLExport), true));
            defaultMenu.Add(new ExportsTreeNode("Mht", typeof(MHTExport), true));
            defaultMenu.Add(new ExportsTreeNode("Image", typeof(ImageExport), true));
            defaultMenu.Add(new ExportsTreeNode("Svg", typeof(SVGExport), true));
            defaultMenu.Add(new ExportsTreeNode("Csv", typeof(CSVExport), true));
            defaultMenu.Add(new ExportsTreeNode("Dbf", typeof(DBFExport), true));
            defaultMenu.Add(new ExportsTreeNode("Json", typeof(JsonExport), true));
            defaultMenu.Add(new ExportsTreeNode("Text", typeof(TextExport), true));
            defaultMenu.Add(new ExportsTreeNode("Zpl", typeof(ZplExport), true));
            defaultMenu.Add(new ExportsTreeNode("Ppml", typeof(PPMLExport), true));
            defaultMenu.Add(new ExportsTreeNode("PS", typeof(PSExport), true));
            defaultMenu.Add(new ExportsTreeNode("Xps", typeof(XPSExport), true));
            defaultMenu.Add(new ExportsTreeNode("LaTeX", typeof(LaTeXExport), true));

            return defaultMenu;
        }

        private void RestoreOptions()
        {
            menuNodes = DefaultExports();
        }

        partial void SaveOptions();
    }
}
